Bug 100414 - incorrect usage of "maj" instead of "shift" on Locale: nl-BE (nl_BE).
Summary: incorrect usage of "maj" instead of "shift" on Locale: nl-BE (nl_BE).
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
5.1.3.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 102017 (view as bug list)
Depends on:
Blocks: Shortcuts-Locale
  Show dependency treegraph
 
Reported: 2016-06-15 20:51 UTC by Roeland
Modified: 2021-08-09 03:29 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
printscreen with the "Maj" code highlighted (22.64 KB, image/png)
2016-06-15 20:55 UTC, Roeland
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roeland 2016-06-15 20:51:42 UTC
I'm using LibreOffice 5.1.3.2 on Windows with Locale: nl-BE (nl_BE). I noticed that there's a structurally incorrect usage of "maj" instead of "shift" and "verr maj"  instad of "Caps lock" in the menus.


This has probably originated from the settings of the French speaking part of Belgium which uses the azerty keyboard with "maj" for "shift" and "verr maj"  instad of Caps lock". In the dutch speaking part of Belgium "shift" and "caps lock" are always used.

See wikipedia for more information: https://en.wikipedia.org/wiki/AZERTY#Differences_between_the_Belgian_and_French_layouts_of_the_AZERTY_keyboard
Comment 1 Roeland 2016-06-15 20:55:04 UTC
Created attachment 125679 [details]
printscreen with the "Maj" code highlighted

printscreen with the "Maj" code highlighted
Comment 2 Aron Budea 2016-06-15 22:41:48 UTC
Confirmed in LO 5.2 beta2/Windows 7, using On-Screen Keyboard for verification.

-Dutch (Belgium) locale / Belgian (Period) layout: in Writer Maj is displayed instead of Shift (incorrect)
-French (Belgium) locale / Belgian (Comma) layout: in Writer Shift is displayed instead of Maj (incorrect)
-French (Belgium) locale / Belgian French layout: in Writer Maj is displayed (correct)

Note that On-Screen Keyboard does not update its layout automatically after changing layouts in the application, only when its window is moved.

While Maxim's comment in [1] describes the general behavior of handling keyboard shortcut translations, something seems to be working differently in this case.

[1] https://bugs.documentfoundation.org/show_bug.cgi?id=93738#c10
Comment 3 Roeland 2016-06-21 19:53:31 UTC
I just noticed that in Locale: nl-BE (nl_BE) "Entree" is used instead of "enter" as well. This is also incoreect as "enter" should be used.

I guess if backspace is used somewhere it will also be correctly named as "suppr arrière" (but I need to find confirmation for this).
Comment 4 Aron Budea 2016-09-09 14:41:41 UTC
*** Bug 102017 has been marked as a duplicate of this bug. ***
Comment 5 Maxim Monastirsky 2016-09-11 06:50:36 UTC
As discussed in Bug 102017, we get the translation from the GetKeyNameText Win32 function, and it seems to match names only to keyboard layouts, ignoring the locale (according to MSDN the names actually come from the keyboard driver).

The easiest solution for now would be to override the names we get from Windows for this particular locale, as we already do for some locales:

http://opengrok.libreoffice.org/xref/core/vcl/win/window/keynames.cxx#66
Comment 6 Roeland 2017-08-04 21:09:48 UTC
I guess this belongs to meta bug 107243 as well?
Comment 7 QA Administrators 2018-08-05 02:47:19 UTC Comment hidden (obsolete)
Comment 8 Roel Schroeven 2018-08-06 16:02:30 UTC
Confirmation that this bug is still present.

Information from Help - About LibreOffice:

Versie: 6.0.6.2 (x64)
Build ID: 0c292870b25a325b5ed35f6b45599d2ea4458e77
CPU-threads: 8; Besturingssysteem: Windows 6.1; UI-render: GL; 
Locale: nl-BE (nl_BE); Calc: group
Comment 9 QA Administrators 2019-08-07 04:46:10 UTC Comment hidden (obsolete)
Comment 10 Roel Schroeven 2019-08-07 08:27:28 UTC
Confirmation that this bug is still present.

Information from Help - About LibreOffice:

Versie: 6.2.5.2 (x64)
Build ID: 1ec314fa52f458adc18c4f025c545a4e8b22c159
CPU-threads: 8; Besturingssysteem: Windows 6.1; UI-render: GL; VCL: win; 
Locale: nl-BE (nl_BE); UI-taal: nl-NL
Calc: threaded
Comment 11 QA Administrators 2021-08-07 03:39:50 UTC
Dear Roeland,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug